Bug 1629921 (CVE-2018-14630) - CVE-2018-14630 moodle: Moodle XML import of ddwtos could lead to intentional remote code execution (MSA-18-0017)
Summary: CVE-2018-14630 moodle: Moodle XML import of ddwtos could lead to intentional ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-14630
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1629923 1629924
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-17 16:05 UTC by Laura Pardo
Modified: 2019-09-29 14:58 UTC (History)
2 users (show)

Fixed In Version: moodle 3.5.2, moodle 3.4.5, moodle 3.3.8, moodle 3.1.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:38:00 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-09-17 16:05:12 UTC
A flaw was found in Moodle. When importing legacy 'drag and drop into text' (ddwtos) type quiz questions, it was possible to inject and execute PHP code from within the imported questions, either intentionally or by importing questions from an untrusted source.


References:
https://moodle.org/mod/forum/discuss.php?d=376023

Upstream Patch:
http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-62880

Comment 1 Laura Pardo 2018-09-17 16:06:07 UTC
Created moodle tracking bugs for this issue:

Affects: epel-all [bug 1629924]
Affects: fedora-all [bug 1629923]

Comment 2 Product Security DevOps Team 2019-06-10 10:38:00 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.